com.sleepycat.db

## Class SequenceStats

- java.lang.Object
- - com.sleepycat.db.SequenceStats

    public class SequenceStats
    extends java.lang.Object

A SequenceStats object is used to return sequence statistics.

### Method Summary

Methods
`int` `getCacheSize()` The number of values that will be cached in this handle.
`long` `getCurrent()` The current value of the sequence in the database.
`int` `getFlags()` The flags value for the sequence.
`long` `getLastValue()` The last cached value of the sequence.
`long` `getMax()` The maximum permitted value of the sequence.
`long` `getMin()` The minimum permitted value of the sequence.
`long` `getNowait()` The number of times that a thread of control was able to obtain handle mutex without waiting.
`long` `getValue()` The current cached value of the sequence.
`long` `getWait()` The number of times a thread of control was forced to wait on the handle mutex.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getWait

    public long getWait()

The number of times a thread of control was forced to wait on the handle mutex.

#### getNowait

    public long getNowait()

The number of times that a thread of control was able to obtain handle mutex without waiting.

#### getCurrent

    public long getCurrent()

The current value of the sequence in the database.

#### getValue

    public long getValue()

The current cached value of the sequence.

#### getLastValue

    public long getLastValue()

The last cached value of the sequence.

#### getMin

    public long getMin()

The minimum permitted value of the sequence.

#### getMax

    public long getMax()

The maximum permitted value of the sequence.

#### getCacheSize

    public int getCacheSize()

The number of values that will be cached in this handle.

#### getFlags

    public int getFlags()

The flags value for the sequence.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`